ICU 55.1 55.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - k -

- kArray : icu::Formattable
- kCurrencyField : icu::NumberFormat
- kCurrencySymbol : icu::DecimalFormatSymbols
- kDate : icu::Formattable
- kDatePrecedence : icu::Calendar
- kDecimalSeparatorField : icu::NumberFormat
- kDecimalSeparatorSymbol : icu::DecimalFormatSymbols
- kDigitSymbol : icu::DecimalFormatSymbols
- kDouble : icu::Formattable
- kDoubleFractionDigits : icu::DecimalFormat
- kDoubleIntegerDigits : icu::DecimalFormat
- kDOWPrecedence : icu::Calendar
- kEightDigitSymbol : icu::DecimalFormatSymbols
- kExponentField : icu::NumberFormat
- kExponentialSymbol : icu::DecimalFormatSymbols
- kExponentMultiplicationSymbol : icu::DecimalFormatSymbols
- kExponentSignField : icu::NumberFormat
- kExponentSymbolField : icu::NumberFormat
- keyDisplayName() : icu::LocaleDisplayNames
- keyValueDisplayName() : icu::LocaleDisplayNames
- kFiveDigitSymbol : icu::DecimalFormatSymbols
- kFormatSymbolCount : icu::DecimalFormatSymbols
- kFourDigitSymbol : icu::DecimalFormatSymbols
- kFractionField : icu::NumberFormat
- kGroupingSeparatorField : icu::NumberFormat
- kGroupingSeparatorSymbol : icu::DecimalFormatSymbols
- kInfinitySymbol : icu::DecimalFormatSymbols
- kInt64 : icu::Formattable
- kIntegerField : icu::NumberFormat
- kIntlCurrencySymbol : icu::DecimalFormatSymbols
- kInvariant : icu::UnicodeString
- kLong : icu::Formattable
- kMaxBranchLinearSubNodeLength : icu::StringTrieBuilder
- kMaxFormat : icu::MessageFormat
- kMaxScientificIntegerDigits : icu::DecimalFormat
- kMaxSplitBranchLevels : icu::StringTrieBuilder
- kMinusSignSymbol : icu::DecimalFormatSymbols
- kMonetaryGroupingSeparatorSymbol : icu::DecimalFormatSymbols
- kMonetarySeparatorSymbol : icu::DecimalFormatSymbols
- kNaNSymbol : icu::DecimalFormatSymbols
- kNineDigitSymbol : icu::DecimalFormatSymbols
- kObject : icu::Formattable
- kOneDigitSymbol : icu::DecimalFormatSymbols
- kPadEscapeSymbol : icu::DecimalFormatSymbols
- kPatternSeparatorSymbol : icu::DecimalFormatSymbols
- kPercentField : icu::NumberFormat
- kPercentSymbol : icu::DecimalFormatSymbols
- kPermillField : icu::NumberFormat
- kPerMillSymbol : icu::DecimalFormatSymbols
- kPlusSignSymbol : icu::DecimalFormatSymbols
- kResolveRemap : icu::Calendar
- kResolveSTOP : icu::Calendar
- kRoundCeiling : icu::DecimalFormat
- kRoundDown : icu::DecimalFormat
- kRoundFloor : icu::DecimalFormat
- kRoundHalfDown : icu::DecimalFormat
- kRoundHalfEven : icu::DecimalFormat
- kRoundHalfUp : icu::DecimalFormat
- kRoundUnnecessary : icu::DecimalFormat
- kRoundUp : icu::DecimalFormat
- kSevenDigitSymbol : icu::DecimalFormatSymbols
- kSignField : icu::NumberFormat
- kSignificantDigitSymbol : icu::DecimalFormatSymbols
- kSixDigitSymbol : icu::DecimalFormatSymbols
- kString : icu::Formattable
- kThreeDigitSymbol : icu::DecimalFormatSymbols
- kTwoDigitSymbol : icu::DecimalFormatSymbols
- kTypoFlagKern : icu::LayoutEngine
- kTypoFlagLiga : icu::LayoutEngine
- kYearPrecedence : icu::Calendar
- kZeroDigitSymbol : icu::DecimalFormatSymbols